jQuery.ready( { plugin : ['ep.ajax', 'ep.alert'], DOM : true }, function($) {
	function additionalHtmlHeadChangeHandler(inputContent) {
		var okay = true;

		ep.ajax({
			data: {
					ObjectID: #ID,
					ViewAction : "JSONCheckHTMLHead",
					InputContent : inputContent
			},
			cache: false,
			type: "post",
			async: false,
			dataType: "json",
			success: function( jsonData ){
				if(!$("#CheckHTMLHeadWarning").length) {
					$($("#PreferencesAttributes .InfoContainer")[0]).before('<div id="CheckHTMLHeadWarning" class="DialogMessage MessageWarning"></div>');
				}

				if(jsonData.ContentOk !== 1) {
					okay = false;
					$("#CheckHTMLHeadWarning")
						.html('<h3>{Attention[js]}</h3>{FaultyHtmlArea[js]}<br />{InfoWrongHtmlCode[js]} <code>html, head, body, robots, googlebot, msnbot, title, meta description, canonical</code><br />{RemoveFaultyCode[js]}')
						.removeClass('HideElement');
					$('#'+'AdditionalHtmlHead').parents('form').data('epFormCanBeSubmitted', 0);
				} else {
					$("#CheckHTMLHeadWarning").addClass('HideElement');
					$('#'+'AdditionalHtmlHead').parents('form').data('epFormCanBeSubmitted', 1);
				}
			}
		});

		return okay;
	}

	$('#'+'AdditionalHtmlHead')
		.closest('form').on('submit', function() {	// bind warning dialog to submit handler
			var htmlOkay = additionalHtmlHeadChangeHandler($('#'+'AdditionalHtmlHead').val()),
				mobileHtmlOkay = additionalHtmlHeadChangeHandler($('#'+'AdditionalHtmlHeadMobileSF').val()),
				jqform = $(this),
				where = '';

			where += htmlOkay ? '' : '<li>{HtmlArea[js]}</li>';
			where += mobileHtmlOkay ? '' : '<li>{MobileHtmlArea[js]}</li>';

			if((!htmlOkay || !mobileHtmlOkay) && !jqform.data('epFormWarningClickedOk')) {
				if($('.ep-uiDialog-alert').length){
					// Destroy dialog and create a new one if it already exists
					$('.ep-uiDialog-alert').uiDialog('destroy');
				}

				ep.alert({
					type:   'warn',
					size:   'l',
					content: '<p>{FaultyHtmlArea[js]}</p><ul>' + where + '</ul><p>{QuestionSaveChanges[js]}</p>',
					okTitle: '{Save[js]}',
					title: '{Attention[js]}',
					close:  function(){
							return false;
					},
					ok: function() {
							jqform.data('epFormCanBeSubmitted', 1);
							jqform.data('epFormWarningClickedOk', 1);
							jqform.trigger('submit');
					},
					cancel: function(){
							return false;
					}
				});
				return false;
			}
		});

	// on load
	additionalHtmlHeadChangeHandler($('#'+'AdditionalHtmlHead').val());

});
